org.h2.test

## Class TestAll

- java.lang.Object
- - org.h2.test.TestAll

    public class TestAll
    extends java.lang.Object

The main test application. JUnit is not used because loops are easier to write in regular java applications (most tests are ran multiple times using different settings).

### Field Summary

Fields
`boolean` `big` If the test should run with many rows.
`java.lang.String` `cipher` The cipher to use (null for unencrypted).
`boolean` `codeCoverage` If code coverage is enabled.
`boolean` `coverage` Whether the test is running with code coverage.
`boolean` `diskResult` If a small cache and a low number for MAX_MEMORY_ROWS should be used.
`boolean` `fast` If only fast/CI/Jenkins/Travis tests should be run.
`boolean` `googleAppEngine` If testing on Google App Engine.
`boolean` `lazy` If lazy queries should be used.
`int` `lockTimeout` The lock timeout to use
`boolean` `memory` If in-memory databases should be used.
`boolean` `multiThreaded` If the multi-threaded mode should be used.
`boolean` `mvcc` If the multi version concurrency control mode should be used.
`boolean` `mvStore` Whether the MVStore storage is used.
`boolean` `networked` If remote database connections should be used.
`boolean` `reopen` Test using the recording file system.
`boolean` `splitFileSystem` Test the split file system.
`int` `traceLevelFile` The file trace level value to use.
`boolean` `traceTest` If test trace information should be written (for debugging only).

### Constructor Summary

Constructors
Constructor and Description
`TestAll()`

### Method Summary

Methods
`void` `afterTest()` Stop the server if it was started.
`void` `beforeTest()` This method is called before a complete set of tests is run.
`static void` `main(java.lang.String... args)` Run all tests.
`static void` `printSystemInfo()` Print system information.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mvStore

    public boolean mvStore

Whether the MVStore storage is used.

#### big

    public boolean big

If the test should run with many rows.

#### networked

    public boolean networked

If remote database connections should be used.

#### memory

    public boolean memory

If in-memory databases should be used.

#### coverage

    public boolean coverage

Whether the test is running with code coverage.

#### codeCoverage

    public boolean codeCoverage

If code coverage is enabled.

#### mvcc

    public boolean mvcc

If the multi version concurrency control mode should be used.

#### multiThreaded

    public boolean multiThreaded

If the multi-threaded mode should be used.

#### lazy

    public boolean lazy

If lazy queries should be used.

#### cipher

    public java.lang.String cipher

The cipher to use (null for unencrypted).

#### traceLevelFile

    public int traceLevelFile

The file trace level value to use.

#### traceTest

    public boolean traceTest

If test trace information should be written (for debugging only).

#### googleAppEngine

    public boolean googleAppEngine

If testing on Google App Engine.

#### diskResult

    public boolean diskResult

If a small cache and a low number for MAX_MEMORY_ROWS should be used.

#### reopen

    public boolean reopen

Test using the recording file system.

#### splitFileSystem

    public boolean splitFileSystem

Test the split file system.

#### fast

    public boolean fast

If only fast/CI/Jenkins/Travis tests should be run.

#### lockTimeout

    public int lockTimeout

The lock timeout to use

### Constructor Detail

#### TestAll

    public TestAll()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

Run all tests.

Parameters:
  `args` - the command line arguments
Throws:
  `java.lang.Exception`

#### beforeTest

    public void beforeTest()
                    throws java.sql.SQLException

This method is called before a complete set of tests is run. It deletes old database files in the test directory and trace files. It also starts a TCP server if the test uses remote connections.

Throws:
  `java.sql.SQLException`

#### afterTest

    public void afterTest()

Stop the server if it was started.

#### printSystemInfo

    public static void printSystemInfo()

Print system information.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`